Subject: Re: bug#20337: authors.el needs updating before 25.1

From: Glenn Morris <[email-masked]>
Date: Fri, 05 Feb 2016 16:52:53 -0500

Nicolas Petton wrote:

> Glenn Morris <[email-masked]> writes:
>
>>> I suspect the main problem is going be that was previously eg "files.el"
>>> in the ChangeLog is now "lisp/files.el", which is going to make
>>> authors.el think it refers to two separate files.
>
> I updated etc/AUTHORS last week with authors.el, and double-checked
> this, but I couldn't find any issue with the generated file.

I'm surprised, but maybe authors-canonical-file-name means it works
itself out? If a test with a dummy tree with only two separate
ChangeLogs, one in lisp/ containing an entry for "files.el", and
one in top-level with an entry for "lisp/files.el", results in an
AUTHORS file with just a single changed file, then maybe it all Just
Works...